/*
 * Program:    SecurityToken.java
 * Purpose:    Base class for different types of security tokens
 * @author     Ray Lai (ray.lai@sun.com)
 * @version    1.0
 * Updated:    April 16, 2005, 6:51 PM
 * Copyright:  (c) 2006 by Ray Lai
 * Remarks:    Full program and documentation will be available under developer.java.net
 *             For simplicity, logger class is removed.
 * =====================================================================================
 */

package com.csp.identity;

public class SecurityToken {

    protected static org.w3c.dom.Element   element;    
    protected static String                principal;
    
   /**
     * Get security token in W3C XML element form
     *
     * @return element security token in XML element
     */
    public org.w3c.dom.Element getElement() {
        return this.element;
    }

    /**
     * Get the name of principal (es.g. username)
     *
     * @return principal 
     */
    public String getPrincipal() {
        return this.principal;
    }
}
