/*
 * Program:    Subject.java
 * Purpose:    Data object to encapsulate SAML subject
 * @author     Ray Lai (ray.lai@sun.com)
 * @version    1.0
 * Updated:    April 18, 2005, 3:36 PM
 * Copyright:  (c) 2006 by Ray Lai
 * Remarks:    Full program and documentation will be available under developer.java.net
 *             For simplicity, logger class is removed.
 * =====================================================================================
 * Design summary
 * 
 * This simplified version only defines the name identifier (subject name and subject
 * name qualifier). it does not include the subject confirmation (e.g. confirmation method,
 * subject confirmation data or key information).
 */

package com.csp.identity;

public class Subject {
    
    protected String name;
    protected String nameQualifier;

    /** Constructor - Creates a new instance of Subject */
    public Subject() {
    }

    /** get subject name
     *
     * @return String subject name
     **/
    public String getSubjectName() {
        return this.name;
    }

    /** get subject name qualifier
     *
     * @return String subject name qualifier
     **/

    public String getSubjectNameQualifier() {
        return this.nameQualifier;
    }
    
    /** set subject name
     *
     * @param String subject name
     **/
    public void setSubjectName(String name) {
        this.name = name;
    }
    
    /** set subject name qualifier
     *
     * @param String subject name qualifier
     **/

    public void setSubjectNameQualifier(String nameQualifier) {
        this.nameQualifier = nameQualifier;
    }
}
